### Signal

# Gtk ScrolledWindow::edge-reached

#### Declaration

    void
    edge_reached (
      GtkScrolledWindow self,
      GtkPositionType pos,
      gpointer user_data
    )

#### Description [src]

Emitted whenever user-initiated scrolling makes the scrolled window exactly reach the lower or upper limits defined by the adjustment in that orientation.

A similar behavior with edge resistance is provided by the `GtkScrolledWindow::edge-overshot` signal.

Note: The `pos` argument is LTR/RTL aware, so callers should be aware too if intending to provide behavior on horizontal edges.

Default handler: | The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`pos` | `GtkPositionType`
| Edge side that was reached.